# dkim_signhdrs()

[back to index]

SYNOPSIS

    #include <dkim.h>

    void dkim_signhdrs(
    	DKIM *dkim,
            const char **hdrlist
    );

Select header fields to be signed for this message, overriding the library default.

DESCRIPTION

Called When | `dkim_signhdrs()` can be called after a signing handle is created with `dkim_sign()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | A message signing handle.
hdrlist | A NULL-terminated array of strings containing the names of header fields to be included in the hashes that generate this signature.

NOTES

- This overides the list of header field names previously selected as the library default by a call to `dkim_options()`. It affects only the handle passed to the function. If not called, the default set configured for this library instance is used.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2013, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.